Skip to main content
GET
/
ghg_entries
/
{id}
Get Ghg Entry
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id}"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/ghg_entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "co2e_net_removed_kg": 123,
  "co2e_net_removed_standard_deviation_kg": 123,
  "co2e_net_removed_without_discount_kg": 123,
  "completed_on": "2023-12-25",
  "credit_allocation": {
    "buffer_pool_contribution_kg": 123,
    "supplier_allocation_kg": 123
  },
  "credit_type": "REMOVAL",
  "feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
  "ghg_statement_id": "ggs_1GDQJ99Z51S0DYW9",
  "id": "rmv_1EEM6NJXX1S0EXKD",
  "risk_of_reversal_percentage": 123,
  "started_on": "2023-12-25",
  "supplier_reference_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Path Parameters

id
string
required
Required string length: 20 - 37
Examples:

"rmv_1EEM6NJXX1S0EXKD"

"rmv_1E3V4J2EWSBX5E82"

Response

Successful Response

co2e_net_removed_kg
number
required

The CO₂e removed by this GHG entry once uncertainty discounting has been applied

co2e_net_removed_standard_deviation_kg
number | null
required

The standard deviation of the CO₂e net removed and therefore the uncertainty discount applied to the GHG entry

co2e_net_removed_without_discount_kg
number
required

The CO₂e removed by this GHG entry before any uncertainty discounting has been applied

completed_on
string<date>
required
credit_allocation
CreditAllocation · object | null
required

The split of issuable credits between the supplier and buffer pool. Null when risk_of_reversal_percentage is not set.

credit_type
enum<string>
required
Available options:
REDUCTION,
REMOVAL
Examples:

"REMOVAL"

"REDUCTION"

feedstock_type_id
string | null
required

The feedstock type ID that this entry is associated with.

Required string length: 20 - 37
Example:

"ftt_1D7KZ1P761S0G7BN"

ghg_statement_id
string | null
required

The GHG statement ID that this entry is associated with. If null, the entry is in draft and has not been submitted for verification.

Required string length: 20 - 37
Example:

"ggs_1GDQJ99Z51S0DYW9"

id
string
required
Required string length: 20 - 37
Examples:

"rmv_1EEM6NJXX1S0EXKD"

"rmv_1E3V4J2EWSBX5E82"

risk_of_reversal_percentage
number | null
required

The percentage of credits contributed to the buffer pool due to risk of reversal.

started_on
string<date>
required
supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200